## noris-base 6.0-9

=== Makefile ===
build:

install: build
	cp -r etc/ ${DESTDIR}
			
clean:
	rm -f *-stamp
	dh_clean

## noris-base 4.0-25

=== debian/changelog ===
noris-base (4.0-25) etch; urgency=low

  * removed locate from deps (virt. package!) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed,  2 Sep 2009 11:07:41 +0200

noris-base (4.0-24) etch; urgency=low

  * added lshw dependency 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed,  2 Sep 2009 10:43:39 +0200

noris-base (4.0-23) etch; urgency=low

  * substitute ftp.sara.nl by internal link 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed,  2 Sep 2009 10:26:20 +0200

noris-base (4.0-22) etch; urgency=low

  * added dell.sources.list (RT#540176) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 01 Sep 2009 17:16:59 +0200

noris-base (4.0-21) etch; urgency=low

  * corrected error in sources.list 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon,  3 Aug 2009 08:03:02 +0200

noris-base (4.0-20) etch; urgency=low

  * added deb-src to sources.list 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 28 Jul 2009 09:48:24 +0200

noris-base (4.0-19) etch; urgency=low

  * random soflink erkennung noch schoener gemacht.
  * Grueße an mich selbst :-/.

 -- Micha Krause <Micha@noris.de>  Fri, 24 Jul 2009 15:26:57 +0200

noris-base (4.0-18) etch; urgency=low

  * random soflink erkennung schoener gemacht.
  * Grueße an hardy und kdrexel :-/

 -- Micha Krause <Micha@noris.de>  Fri, 24 Jul 2009 14:57:45 +0200

noris-base (4.0-17) etch; urgency=low

  * build for oldstable 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 23 Jul 2009 07:29:33 +0200

noris-base (4.0-16) stable; urgency=low

  * less -R will be default

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 22 Jul 2009 11:36:19 +0200

noris-base (4.0-15) stable; urgency=low

  * Modified sources.list: Changed "proposed-updates" to
    "etch-proposed-updates".
  * Forced this via postinst.

 -- Hardy Kestin <hardy@noris.net>  Thu,  9 Apr 2009 10:59:17 +0200

noris-base (4.0-14) stable; urgency=low

  * Noch mal neuer Prompt, diesmal mit ohne weiss im weissen Terminal.

 -- Micha Krause <Micha@noris.de>  Fri, 23 Jan 2009 11:54:13 +0100

noris-base (4.0-13) stable; urgency=low

  * Neuer Bash Prompt soll Probleme beim Zeilenumbruch loesen RT#477866

 -- Micha Krause <Micha@noris.de>  Wed, 21 Jan 2009 14:18:08 +0100
 

noris-base (4.0-12) stable; urgency=low 

  * Wir wollen auch telnet immer haben

 -- Micha Krause <Micha@noris.de>  Fri,  1 Aug 2008 10:01:35 +0200

noris-base (4.0-11) stable; urgency=low

  * der backports key kommt nun von unserem mirror

 -- Micha Krause <Micha@noris.de>  Wed, 25 Jun 2008 14:10:26 +0200

noris-base (4.0-10) stable; urgency=low

  * Changed repository in sources.list from "stable" to "etch". (Forced by
    postinst)
  * Added backports to sources.list.
    - By default, no backports are used.
    - Added repository-key using apt-key.
  * Removed "deb-src"-lines from sources.list.

 -- Hardy Kestin <hardy@noris.net>  Fri, 23 May 2008 13:39:55 +0200

noris-base (4.0-9) stable; urgency=low

  * Added Depends: apt-listchanges (2.72).

 -- Hardy Kestin <hardy@noris.net>  Fri, 10 Aug 2007 13:47:06 +0200

noris-base (4.0-8) stable; urgency=low

  * Removed aliases and exim4.conf as its already in noris-{server,dedicated}.

 -- Hardy Kestin <hardy@noris.net>  Fri, 10 Aug 2007 12:23:51 +0200

noris-base (4.0-7) stable; urgency=low

  * Added Dep to apt > 0.6.46.4.
  * Added aliases and exim4.conf again.

 -- Hardy Kestin <hardy@noris.net>  Thu,  9 Aug 2007 17:31:58 +0200

noris-base (4.0-6) stable; urgency=low

  * Added some examples.

 -- Hardy Kestin <hardy@noris.net>  Mon, 18 Jun 2007 15:34:24 +0200

noris-base (4.0-5) stable; urgency=low

  * Added Configfiles for ntp, ntpdate.

 -- Hardy Kestin <hardy@noris.net>  Mon, 18 Jun 2007 15:28:03 +0200

noris-base (4.0-4) stable; urgency=low

  * Added Dependency to wget and apt-file.

 -- Hardy Kestin <hardy@noris.net>  Thu, 31 May 2007 15:43:32 +0200

noris-base (4.0-3) stable; urgency=low

  * Fixed bloody typo in postinst :-(
    - Reminder for me: Ask tsp to register apt-noris.net!
  * And another typo in sources.list...
  * Removed dep to inetd-openbsd and fixed some kernel-deps.

 -- Hardy Kestin <hardy@noris.net>  Thu, 31 May 2007 14:50:20 +0200

noris-base (4.0-2) stable; urgency=medium

  * Added Automatic Archive-Key-Upgrade to postinst.

 -- Hardy Kestin <hardy@noris.net>  Thu, 31 May 2007 11:36:15 +0200

noris-base (4.0-1) unstable; urgency=low

  * Initial release for etch (Closes: #332127)

 -- Hardy Kestin <hardy@noris.net>  Thu, 31 May 2007 10:51:03 +0200

=== debian/control ===
Source: noris-base
Section: noris/base
Priority: required
Maintainer: Hardy Kestin <hardy@noris.net>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: noris-base
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, debian-archive-keyring, vim, less, ssh, rcs, hdparm, iproute, traceroute, rcconf, screen, ntp, ntpdate, lsof, tcpdump, netcat, strace, binutils, lynx-ssl | lynx , links-ssl | links, smartmontools, apt-file, wget, apt (>= 0.6.46.4), telnet, lshw
Replaces: ntp, ntpdate, ntp-server, ntp-simple (<= 1:4.2.0a+stable-9), ntp-refclock (<= 1:4.2.0a+stable-9)
Description: Base-Installation for noris network
 This is a meta-package which depends on some basics, such as ssh and vim.
 It also changes some defaults to fit our needs.

## noris-base 5.0-17

=== debian/changelog ===
noris-base (5.0-17) lenny; urgency=low

  * removed volatile from sources list 

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 05 Jun 2012 09:53:22 +0200

noris-base (5.0-16) lenny; urgency=low

  * s/stable/lenny/ (gnarr) 

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 28 Mar 2012 16:46:46 +0200

noris-base (5.0-15) stable; urgency=low

  * remove backports (no mirror any more) 

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 28 Mar 2012 16:40:45 +0200

noris-base (5.0-14) stable; urgency=low

  * fetch lenny updates from archive.debian.org (no rsync mirror) 

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 28 Mar 2012 16:19:28 +0200

noris-base (5.0-13) stable; urgency=low

  * added new section (noris-intern) for noris repository

 -- Stefan Steiner <ssteiner@jack.office.noris.de>  Mon, 25 Oct 2010 11:40:52 +0200

noris-base (5.0-12) stable; urgency=low

  * step back failure
  * NEW MIRROR: deb http://mirror.noris.net/debian-backports lenny-backports main !!!

 -- Stefan Steiner <ssteiner@jack.office.noris.de>  Wed, 20 Oct 2010 10:59:57 +0200

noris-base (5.0-11) stable; urgency=low

  * step back to mirror.noris.net
  * deb http://mirror.noris.net/debian-backports woody kernel-2.4

 -- Stefan Steiner <ssteiner@jack.office.noris.de>  Wed, 20 Oct 2010 10:20:05 +0200

noris-base (5.0-10) stable; urgency=low

  * added new mirror lenny-backports in sources.list
  * deb http://backports.debian.org/debian-backports lenny-backports main

 -- Stefan Steiner <ssteiner@jack64>  Tue, 19 Oct 2010 12:53:37 +0200

noris-base (5.0-9) stable; urgency=low

  * removed wget http://mirror.noris.net/backports/archive.key (file not found) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 23 Sep 2010 15:44:21 +0200

noris-base (5.0-8) stable; urgency=low

  * added lshw dependency 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 02 Sep 2009 10:40:47 +0200

noris-base (5.0-7) stable; urgency=low

  * substitute ftp.sara.nl by internal path 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 02 Sep 2009 09:43:31 +0200

noris-base (5.0-6) stable; urgency=low

  * mistake in postinst 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 01 Sep 2009 16:22:50 +0200

noris-base (5.0-5) stable; urgency=low

  * added sources.list for dell (RT#540176)

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 01 Sep 2009 15:55:47 +0200

noris-base (5.0-4.1) stable; urgency=low

  * added deb-src to sources.list 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 28 Jul 2009 09:53:27 +0200

noris-base (5.0-4) stable; urgency=low

  * random soflink erkennung noch schoener gemacht.
  * Grueße an mich selbst :-/.

 -- Micha Krause <Micha@noris.de>  Fri, 24 Jul 2009 15:24:00 +0200

noris-base (5.0-3) stable; urgency=low

  * random soflink erkennung schoener gemacht.
  * Grueße an hardy und kdrexel :-/

 -- Micha Krause <Micha@noris.de>  Fri, 24 Jul 2009 14:52:37 +0200

noris-base (5.0-2.10) stable; urgency=low

  * less -R will be default

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 22 Jul 2009 11:26:49 +0200

noris-base (5.0-2.9) stable; urgency=low

  * fixed apt-file, s. RT#527965

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 14 Jul 2009 11:54:00 +0200

noris-base (5.0-2.8) stable; urgency=low

  * removed wget lenny-volatile.asc, s. RT#527676

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 13 Jul 2009 12:54:13 +0200

noris-base (5.0-2.7) lenny; urgency=low

  * fixed postinst script (didntwork4lenny)

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 10 Jun 2009 15:43:12 +0200

noris-base (5.0-2.6) lenny; urgency=low

  * locate ist toll

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 27 May 2009 10:01:01 +0200

noris-base (5.0-2.5) lenny; urgency=low

  * tree dazugefügt

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 26 May 2009 10:01:45 +0200

noris-base (5.0-2.4) lenny; urgency=low

  * etch durch lenny in postinst ersetzt 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 12 May 2009 17:00:41 +0200

noris-base (5.0-2.3) lenny; urgency=low

  * immer noch key error 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 15 Apr 2009 16:02:38 +0200

noris-base (5.0-2.2) lenny; urgency=low

  * signature error (?) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 15 Apr 2009 15:53:42 +0200

noris-base (5.0-2.1) stable; urgency=low

  * sources.list angepasst: %s/etch/lenny/g

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 15 Apr 2009 13:35:01 +0200

noris-base (5.0-2) stable; urgency=low

  * Modified sources.list: Changed "proposed-updates" to
    "etch-proposed-updates".
  * Forced this via postinst.

 -- Hardy Kestin <hardy@noris.net>  Thu,  9 Apr 2009 10:54:52 +0200

noris-base (5.0-1) stable; urgency=low

  * Version noris-base for lenny

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 03 Apr 2009 13:55:19 +0200

=== debian/control ===
Source: noris-base
Section: noris/base
Priority: required
Maintainer: Hardy Kestin <hardy@noris.net>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: noris-base
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, debian-archive-keyring, vim, less, ssh, rcs, hdparm, iproute, traceroute, rcconf, screen, ntp, lsof, tcpdump, netcat, strace, binutils, lynx-ssl | lynx , links-ssl | links, smartmontools, apt-file, wget, apt (>= 0.6.46.4), telnet, tree, locate, lshw
Replaces: ntp, ntpdate, ntp-server, ntp-simple (<= 1:4.2.0a+stable-9), ntp-refclock (<= 1:4.2.0a+stable-9)
Description: Base-Installation for noris network
 This is a meta-package which depends on some basics, such as ssh and vim.
 It also changes some defaults to fit our needs.

## noris-base 6.0-9

=== debian/changelog ===
noris-base (6.0-9) squeeze; urgency=low

  * remove volatile from sources.list (http://www.debian.org/volatile/) 

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 18 Apr 2012 09:37:52 +0200

noris-base (6.0-8) squeeze; urgency=low

  * adding volatile for squeeze repo 

 -- Katharina Drexel <kdrexel@noris.de>  Thu, 17 Nov 2011 11:58:11 +0100

noris-base (6.0-7) squeeze; urgency=low

  * removed obsolete apt-file -s ... command

 -- Katharina Drexel <kdrexel@noris.de>  Thu, 21 Jul 2011 09:39:36 +0200

noris-base (6.0-6) squeeze; urgency=low

  * #11341228 

 -- Katharina Drexel <kdrexel@noris.de>  Thu, 21 Jul 2011 09:29:44 +0200

noris-base (6.0-5) squeeze; urgency=low

  * remove /etc/apt/sources.list.apt-file by postinst 

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 15 Jul 2011 10:53:49 +0200

noris-base (6.0-4) squeeze; urgency=low

  * sources.list.apt-file ist ein Schmarrn u. kann raus (Relikt v. 527965 ?) 

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 15 Jul 2011 10:41:13 +0200

noris-base (6.0-3) squeeze; urgency=low

  * removed volatile from sources.list 

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 01 Mar 2011 17:58:10 +0100

noris-base (6.0-2) squeeze; urgency=low

  * new sources.list 

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 11 Feb 2011 16:55:13 +0100

noris-base (6.0-1) squeeze; urgency=low

  * Initial release for squeeze (Closes: #10716481)

 -- Katharina Drexel <kdrexel@noris.net>  Fri, 11 Feb 2011 16:07:03 +0200

=== debian/control ===
Source: noris-base
Section: noris/base
Priority: required
Maintainer: Hardy Kestin <hardy@noris.net>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: noris-base
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, debian-archive-keyring, vim, less, ssh, rcs, hdparm, iproute, traceroute, rcconf, screen, ntp, ntpdate, lsof, tcpdump, netcat, strace, binutils, lynx-ssl | lynx , links-ssl | links, smartmontools, apt-file, wget, apt (>= 0.6.46.4), telnet, tree, locate, lshw
Replaces: ntp, ntpdate, ntp-server, ntp-simple (<= 1:4.2.0a+stable-9), ntp-refclock (<= 1:4.2.0a+stable-9)
Description: Base-Installation for noris network
 This is a meta-package which depends on some basics, such as ssh and vim.
 It also changes some defaults to fit our needs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/noris-base.sgml > noris-base.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/noris-base.
	$(MAKE) DESTDIR=$(CURDIR)/debian/noris-base install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
